package com.zjty.tynotes.attendance.service;

import com.zjty.tynotes.attendance.entity.ApprovalInformation;

import java.util.List;

/**
 * @Author gwj
 * @create 2020/3/24 15:23
 * @des 提交审批业务处理
 */
public interface ApprovalInformationService {
    /**
     * 提交审批
     * @param approvalInformation
     * @return
     */
    ApprovalInformation addApproval(ApprovalInformation approvalInformation);

    /**
     * 删除审批
     * @param id
     */
    boolean deleteApproval(String id);

    /**
     * 审核审批
     * @param userId
     * @param status
     * @return
     */
    ApprovalInformation auditApproval(String userId,String status,ApprovalInformation approvalInformation);

    /**
     * 查询所有用户自身提交的审批
     * @param userId
     * @return
     */
    List<ApprovalInformation> findAllApproval(String userId);

    List<ApprovalInformation> findAllAuditApproval(String userId);
}
